org.apache.fop.render.bitmap

## Class PNGRendererConfig

- java.lang.Object
- - org.apache.fop.render.bitmap.BitmapRendererConfig
  - - org.apache.fop.render.bitmap.PNGRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class PNGRendererConfig
    extends BitmapRendererConfig

The PNG renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `PNGRendererConfig.PNGRendererConfigParser` The PNG renderer configuration parser.

### Nested classes/interfaces inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig

`BitmapRendererConfig.BitmapRendererConfigParser`

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

### Methods inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig

`getBackgroundColor, getColorMode, getFontInfoConfig, hasAntiAliasing, hasTransparentBackround, isRenderHighQuality`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`